Subject: Re: [PATCH v3 4/7] powerpc/dt_cpu_ftrs: Set current thread fscr bits

From: Michael Ellerman <[email-masked]>
Date: Wed, 09 Mar 2022 21:28:40 +1100

Christophe Leroy <[email-masked]> writes:
> Le 21/05/2020 à 03:43, Alistair Popple a écrit :
>> Setting the FSCR bit directly in the SPR only sets it during the initial
>> boot and early init of the kernel but not for the init process or any
>> subsequent kthreads. This is because the thread_struct for those is
>> copied from the current thread_struct setup at boot which doesn't
>> reflect any changes made to the FSCR during cpu feature detection. This
>> patch ensures the current thread state is updated to match once feature
>> detection is complete.
>> 
>> Signed-off-by: Alistair Popple <[email-masked]>
>
> I see that the series has been merged but this patch was left over.
>
> Has it been forgotten or is it rejected ?

I fixed the underlying issue, see:

  912c0a7f2b5d ("powerpc/64s: Save FSCR to init_task.thread.fscr after feature init")

So I guess it was superseeded (by a preceeding patch).

cheers